unit Unit1;

interface

{$IFDEF VCL}
uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;
{$ELSE}
uses
  SysUtils, Classes, QGraphics, QControls,
  QForms, QStdCtrls, QMenus, QDialogs;
{$ENDIF}


type
  TForm1 = class(TForm)
    Button1: TButton;
    edtCaption: TEdit;
    Label1: TLabel;
    lblMouseAction: TLabel;
    btnClear: TButton;
    btnCaption: TButton;
    btnEnabled: TButton;
    btnVisible: TButton;
    btnSize: TButton;
    btnPosition: TButton;
    lblLeft: TLabel;
    edtLeft: TEdit;
    lblHeight: TLabel;
    edtTop: TEdit;
    lblTop: TLabel;
    lblWidht: TLabel;
    edtWidth: TEdit;
    edtHeight: TEdit;
    procedure FormCreate(Sender: TObject);
    procedure Button1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Button1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Button1MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Button1Click(Sender: TObject);
    procedure btnClearClick(Sender: TObject);
    procedure btnCaptionClick(Sender: TObject);
    procedure btnEnabledClick(Sender: TObject);
    procedure btnVisibleClick(Sender: TObject);
    procedure btnSizeClick(Sender: TObject);
    procedure btnPositionClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  BorderStyle := fbsDialog;
  edtLeft.Text := IntToStr(Button1.Left);
  edtTop.Text := IntToStr(Button1.Top);
  edtWidth.Text := IntToStr(Button1.Width);
  edtHeight.Text := IntToStr(Button1.Height);
end;

procedure TForm1.Button1MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  lblMouseAction.Caption := lblMouseAction.Caption + '[';
end;

procedure TForm1.Button1MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
  lblMouseAction.Caption := lblMouseAction.Caption + '.';
end;

procedure TForm1.Button1MouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  lblMouseAction.Caption := lblMouseAction.Caption + ']';
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  lblMouseAction.Caption := lblMouseAction.Caption + 'O';
end;

procedure TForm1.btnClearClick(Sender: TObject);
begin
  lblMouseAction.Caption := '';
end;

procedure TForm1.btnCaptionClick(Sender: TObject);
begin
  Button1.Caption := edtCaption.Text;
end;

procedure TForm1.btnEnabledClick(Sender: TObject);
begin
  Button1.Enabled := not Button1.Enabled;
end;

procedure TForm1.btnVisibleClick(Sender: TObject);
begin
  Button1.Visible := not Button1.Visible;
end;

procedure TForm1.btnSizeClick(Sender: TObject);
begin
  Button1.Width := StrToInt(edtWidth.Text);
  Button1.Height := StrToInt(edtHeight.Text);
  edtWidth.Text := IntToStr(Button1.Width);
  edtHeight.Text := IntToStr(Button1.Height);
end;

procedure TForm1.btnPositionClick(Sender: TObject);
begin
  Button1.Left := StrToInt(edtLeft.Text);
  Button1.Top := StrToInt(edtTop.Text);
  edtLeft.Text := IntToStr(Button1.Left);
  edtTop.Text := IntToStr(Button1.Top);
end;

end.
