unit Unit1;

interface

{$IFDEF VCL}
uses
  Classes, Controls, StdCtrls, Menus, Forms, ExtCtrls, Dialogs;
{$ELSE}
uses
  SysUtils, Classes, QGraphics, QControls,
  QForms, QStdCtrls, QMenus, QDialogs, QExtCtrls;
{$ENDIF}

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    MenuItem0: TMenuItem;
    MenuItem1: TMenuItem;
    MenuItem2: TMenuItem;
    N8: TMenuItem;
    MenuItem3: TMenuItem;
    btnEnabled: TButton;
    btnCaption: TButton;
    Label1: TLabel;
    edtCaption: TEdit;
    btnChecked: TButton;
    SubMenu1: TMenuItem;
    MenuItem4: TMenuItem;
    MenuItem5: TMenuItem;
    File1: TMenuItem;
    Exit1: TMenuItem;
    N1: TMenuItem;
    PrintSetup1: TMenuItem;
    Print1: TMenuItem;
    N2: TMenuItem;
    SaveAs1: TMenuItem;
    Save1: TMenuItem;
    Open1: TMenuItem;
    New1: TMenuItem;
    procedure btnEnabledClick(Sender: TObject);
    procedure btnCaptionClick(Sender: TObject);
    procedure btnCheckedClick(Sender: TObject);
    procedure MenuItemClick(Sender: TObject);
    procedure MenuItem2Click(Sender: TObject);
    procedure MenuItem1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.btnEnabledClick(Sender: TObject);
begin
  MenuItem1.Enabled := not MenuItem1.Enabled; 
end;

procedure TForm1.btnCaptionClick(Sender: TObject);
begin
  MenuItem1.Caption := edtCaption.Text;
  MenuItem0.RethinkHotkeys;
end;

procedure TForm1.btnCheckedClick(Sender: TObject);
begin
  MenuItem1.Checked := not MenuItem1.Checked;
end;

procedure TForm1.MenuItemClick(Sender: TObject);
begin
  ShowMessage('%s clicked', [(Sender as TComponent).Name]);
end;

procedure TForm1.MenuItem2Click(Sender: TObject);
begin
  MenuItemClick(Sender);
  MenuItem2.Checked := True;
end;

procedure TForm1.MenuItem1Click(Sender: TObject);
begin
  MenuItemClick(Sender);
  MenuItem1.Checked := True;
end;

end.
