unit MMO1Insert;

interface

uses
  SysUtils, Types, Classes, Variants, QTypes, QGraphics, QControls, QForms, 
  QDialogs, QStdCtrls;

type
  TfrmInsert = class(TForm)
    lblText: TLabel;
    edtText: TEdit;
    lblColumn: TLabel;
    edtColumn: TEdit;
    LblRow: TLabel;
    edtRow: TEdit;
    btnOk: TButton;
    btnCancel: TButton;
    cbxMark: TCheckBox;
  private
    function GetInsertText: string;
    function GetColumn: Integer;
    function GetRow: Integer;
    function GetMark: Boolean;
    { Private declarations }
  public
    property InsertText: string read GetInsertText;
    property Column: Integer read GetColumn;
    property Row: Integer read GetRow;
    property Mark: Boolean read GetMark;
    { Public declarations }
  end;

var
  frmInsert: TfrmInsert;

implementation

{$R *.xfm}

function TfrmInsert.GetInsertText: string;
begin
  Result := edtText.Text;
end;

function TfrmInsert.GetColumn: Integer;
begin
  Result := StrToIntDef(edtColumn.Text, 0);
end;

function TfrmInsert.GetRow: Integer;
begin
  Result := StrToIntDef(edtRow.Text, 0);
end;

function TfrmInsert.GetMark: Boolean;
begin
  Result := cbxMark.Checked;
end;


end.
