unit Unit1;

interface

{$IFDEF VCL}
uses
  Classes, Controls, StdCtrls, Menus, Forms, ExtCtrls;
{$ELSE}
uses
  SysUtils, Classes, QGraphics, QControls,
  QForms, QStdCtrls, QMenus, QDialogs, QExtCtrls;
{$ENDIF}

type
  TForm1 = class(TForm)
    RadioGroup1: TRadioGroup;
    btnRemove: TButton;
    btnAdd: TButton;
    lblCurrent: TLabel;
    btnColumns: TButton;
    edtColumns: TEdit;
    edtCurrent: TEdit;
    btnRemoveItemNo: TButton;
    edtItemNo: TEdit;
    btnSetIndex: TButton;
    edtIndex: TEdit;
    procedure btnRemoveClick(Sender: TObject);
    procedure btnAddClick(Sender: TObject);
    procedure btnColumnsClick(Sender: TObject);
    procedure RadioGroup1Click(Sender: TObject);
    procedure btnRemoveItemNoClick(Sender: TObject);
    procedure btnSetIndexClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.btnRemoveClick(Sender: TObject);
begin
  if RadioGroup1.Items.Count > 0 then
    RadioGroup1.Items.Delete(RadioGroup1.Items.Count - 1);
end;

procedure TForm1.btnAddClick(Sender: TObject);
var
  Value: string;
begin
  if RadioGroup1.Items.Count > 0 then
  begin
    Value := RadioGroup1.Items[RadioGroup1.Items.Count - 1];
    Value := Chr(Ord(Value[1]) + 1);
  end
  else Value := 'A';
  RadioGroup1.Items.Add(Value);
end;

procedure TForm1.btnColumnsClick(Sender: TObject);
begin
  RadioGroup1.Columns := StrToInt(edtColumns.Text);
end;

procedure TForm1.RadioGroup1Click(Sender: TObject);
begin
  edtCurrent.Text := IntToStr(RadioGroup1.ItemIndex);
end;

procedure TForm1.btnRemoveItemNoClick(Sender: TObject);
var
  ItemNo: Integer;
begin
  ItemNo := StrToInt(edtItemNo.Text);
  if RadioGroup1.Items.Count > ItemNo then
    RadioGroup1.Items.Delete(ItemNo);
end;

procedure TForm1.btnSetIndexClick(Sender: TObject);
begin
  RadioGroup1.ItemIndex := StrToInt(edtIndex.Text);
end;

end.
