// ************************************************************************ //
// Die in dieser Datei deklarierten Typen wurden aus Daten generiert, die aus 
// unten beschriebener WSDL-Datei stammen:
// WSDL     : http://www.drbob42.co.uk/cgi-bin/Euro42/wsdl/IEuro
// Version  : 1.0
// (04.09.2003 17:34:45 - $Revision: 1.1 $)
// ************************************************************************ //

unit Euro;

interface

uses InvokeRegistry, Types, XSBuiltIns;

type

  // ************************************************************************ //
  // Die folgenden Typen, auf die im WSDL-Dokument Bezug genommen wird, sind in dieser Datei
  // nicht reprsentiert. Sie sind entweder Aliase(@) anderer reprsentierter Typen oder auf sie wurde Bezug genommen,
  // aber in diesem Dokument nicht deklariert (!). Die Typen aus letzterer Kategorie
  // sind normalerweise mit vordefinierten/bekannten XML- oder Borland-Typen verbunden; sie knnten aber auch ein Anzeichen 
  // fr ein falsches WSDL-Dokument sein, das einen Schema-Typ nicht deklariert oder importiert..
  // ************************************************************************ //
  // !:string          - "http://www.w3.org/2001/XMLSchema"
  // !:double          - "http://www.w3.org/2001/XMLSchema"


  // ************************************************************************ //
  // Namespace : urn:Euro-IEuro
  // soapAction: urn:Euro-IEuro#%operationName%
  // Transport : http://schemas.xmlsoap.org/soap/http
  // Stil     : rpc
  // binding   : IEurobinding
  // Service   : IEuroservice
  // Port      : IEuroPort
  // URL       : http://www.drbob42.co.uk/cgi-bin/Euro42/soap/IEuro
  // ************************************************************************ //
  IEuro = interface(IInvokable)
  ['{A88A8367-8E5A-5E0F-5060-7D8A769E99B3}']
    function  FromEuro(const Currency: String; const Amount: Double): Double; stdcall;
    function  ToEuro(const Currency: String; const Amount: Double): Double; stdcall;
  end;

function GetIEuro(UseWSDL: Boolean=System.False; Addr: string=''): IEuro;


implementation
  uses SOAPHTTPClient;

function GetIEuro(UseWSDL: Boolean; Addr: string): IEuro;
const
  defWSDL = 'http://www.drbob42.co.uk/cgi-bin/Euro42/wsdl/IEuro';
  defURL  = 'http://www.drbob42.co.uk/cgi-bin/Euro42/soap/IEuro';
  defSvc  = 'IEuroservice';
  defPrt  = 'IEuroPort';
var
  RIO: THTTPRIO;
begin
  Result := nil;
  if (Addr = '') then
  begin
    if UseWSDL then
      Addr := defWSDL
    else
      Addr := defURL;
  end;
  RIO := THTTPRIO.Create(nil);
  try
     if UseWSDL then
    begin
      RIO.WSDLLocation := Addr;
      RIO.Service := defSvc;
      RIO.Port := defPrt;
    end else
      RIO.URL := Addr;
    Result := (RIO as IEuro);
  finally
    if Result = nil then
      RIO.Free;
  end;
end;


initialization
  InvRegistry.RegisterInterface(TypeInfo(IEuro), 'urn:Euro-IEuro', '');
  InvRegistry.RegisterDefaultSOAPAction(TypeInfo(IEuro), 'urn:Euro-IEuro#%operationName%');

end.