
{*******************************************************}
{                                                       }
{ DWPL Delphi WDosX and Cross Platform Library (rtl)    }
{ WDOSX.INC                                             }
{                                                       }
{ for Delphi 6                                          }
{ Version 2.0                                           }
{ Copyright (c) 2002 by Team-DWP                        }
{ e-mail: team-dwp@dwp42.org                            }
{ www: http://www.dwp42.org                             }
{                                                       }
{ The initial developer of the code is                  }
{   Immo Wache, immo.wache@dwp42.org                    }
{                                                       }
{ Portions created by Immo Wache are                    }
{ Copyright (C) 2002 Immo Wache.                        }
{                                                       }
{ Contributor(s):                                       }
{   none for now                                        }
{                                                       }
{ This file may be distributed and/or modified under    }
{ the terms of the GNU General Public License (GPL)     }
{ version 2 as published by the Free Software           }
{ Foundation and appearing at                           }
{ http://www.dwp42.org/license/gpl.html.                }
{                                                       }
{ Licensees holding a valid Team-DWP No-Nonsense        }
{ License for this Software may use this file in        }
{ accordance with such license, which appears in        }
{ the file license.txt that came with this software.    }
{                                                       }
{ this software contains portions from:                 }
{                                                       }
{   - Project JEDI Code Library (JCL)                   }
{     Copyright (c) JEDI-Group 2000-2002                }
{     www: http://www.delphi-jedi.org/Jedi:CODELIBJCL   }
{                                                       }
{ Please inform you about special copyrights for these  }
{ portions on the apropriate web pages.                 }
{                                                       }
{-------------------------------------------------------}
{                                                       }
{ This include file defines various WDosX specific      }
{ defines. The more generic defines are defined in the  }
{ JEDI.INC file which is taken from Project JEDI.       }
{                                                       }
{*******************************************************}
{
  $Header: /cvsroot/dwpl/dwpl/source/rtl/wdosx/WDOSX.INC,v 1.3 2002/11/05 19:22:11 lagocs Exp $
  ----------------------------------------------------------------------------

  $Log: WDOSX.INC,v $
  Revision 1.3  2002/11/05 19:22:11  lagocs
  WDosMM moved to memmgr. Common getmem.inc for D5 and 6. Crt units are renamed to
  Crt.old.

  Revision 1.2  2002/10/27 22:53:12  iwache
  CVS tags "Header" and "Log" added.

  ----------------------------------------------------------------------------
}

(*
- Feature Directives

  The features directives are used to test if the compiler supports specific
  features, such as method overloading, and adjust the sources accordingly. Use
  of these directives is preferred over the use of the DELPHI and COMPILER
  directives.

  Directive              Description
  ------------------------------------------------------------------------------
  SUPPORTS_NO_ABSOLUTE   Compiler don't supports absolute offset qualifier (D6+) 

*)

{$B-} // Boolean shortcut evaluation
{$H+} // Long strings
{$J-} // Read-only typed constants
{$T-} // Type checked pointers off

{$INCLUDE ..\sys\JEDI.INC} // Pull in the JCL/J-VCL shared directives

{$IFDEF COMPILER6_UP}
  {$WARN SYMBOL_PLATFORM OFF}  // Platform warnings off
  {$DEFINE SUPPORTS_NO_ABSOLUTE}
{$ENDIF}
