unit Unit3;

interface

{$IFDEF VCL}
uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;
{$ELSE}
uses
  SysUtils, Classes, QGraphics, QControls,
  QForms, QStdCtrls, QMenus, QDialogs;
{$ENDIF}

type
  TForm3 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    btnShow2: TButton;
    btnHide2: TButton;
    btnModal2: TButton;
    btnShow1: TButton;
    btnHide1: TButton;
    btnOK: TButton;
    btnCancel: TButton;
    btnClose: TButton;
    btnEndModal2: TButton;
    btnClose1: TButton;
    procedure btnHide2Click(Sender: TObject);
    procedure btnHide1Click(Sender: TObject);
    procedure btnModal2Click(Sender: TObject);
    procedure btnShow2Click(Sender: TObject);
    procedure btnShow1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure btnEndModal2Click(Sender: TObject);
    procedure btnClose1Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form3: TForm3;

implementation

uses
  Unit2, Unit1;

{$R *.dfm}

procedure TForm3.btnHide2Click(Sender: TObject);
begin
  Form2.Hide;
end;

procedure TForm3.btnHide1Click(Sender: TObject);
begin
  Form1.Hide;
end;

procedure TForm3.btnModal2Click(Sender: TObject);
var
  ModalResult: Integer;
  S: string;
begin
  ModalResult := Form2.ShowModal;
  case ModalResult of
    mrNone: S := 'mrNone';
    mrOK: S := 'mrOK';
    mrCancel: S := 'mrCancel';
  else
    S := 'unknown';
  end;
  ShowMessage(Format('Form2 modal result is: ''%s'' = %d', [S, ModalResult]));
end;

procedure TForm3.btnShow2Click(Sender: TObject);
begin
  Form2.Show;
end;

procedure TForm3.btnShow1Click(Sender: TObject);
begin
  Form1.Show;
end;

procedure TForm3.FormCreate(Sender: TObject);
begin
  BorderStyle := fbsDialog;
end;

procedure TForm3.btnEndModal2Click(Sender: TObject);
begin
  Form2.ModalResult := mrCancel;
end;

procedure TForm3.btnClose1Click(Sender: TObject);
begin
  Form1.Close;
end;

end.
