unit Unit1;

interface

{$IFDEF VCL}
uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;
{$ELSE}
uses
  SysUtils, Classes, QGraphics, QControls,
  QForms, QStdCtrls, QMenus, QDialogs;
{$ENDIF}


type
  TForm1 = class(TForm)
    edtCaption: TEdit;
    lblCaption: TLabel;
    lblMouseAction: TLabel;
    btnClear: TButton;
    btnCaption: TButton;
    btnEnabled: TButton;
    btnVisible: TButton;
    btnSize: TButton;
    btnPosition: TButton;
    lblLeft: TLabel;
    edtLeft: TEdit;
    lblHeight: TLabel;
    edtTop: TEdit;
    lblTop: TLabel;
    lblWidht: TLabel;
    edtWidth: TEdit;
    edtHeight: TEdit;
    Label1: TLabel;
    btnAutoSize: TButton;
    btnAlignment: TButton;
    procedure FormCreate(Sender: TObject);
    procedure Label11MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Label1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Label1MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Label1Click(Sender: TObject);
    procedure btnClearClick(Sender: TObject);
    procedure btnCaptionClick(Sender: TObject);
    procedure btnEnabledClick(Sender: TObject);
    procedure btnVisibleClick(Sender: TObject);
    procedure btnSizeClick(Sender: TObject);
    procedure btnPositionClick(Sender: TObject);
    procedure btnAutoSizeClick(Sender: TObject);
    procedure btnAlignmentClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  BorderStyle := fbsDialog;
  edtLeft.Text := IntToStr(Label1.Left);
  edtTop.Text := IntToStr(Label1.Top);
  edtWidth.Text := IntToStr(Label1.Width);
  edtHeight.Text := IntToStr(Label1.Height);
end;

procedure TForm1.Label11MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  lblMouseAction.Caption := lblMouseAction.Caption + '[';
end;

procedure TForm1.Label1MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
  lblMouseAction.Caption := lblMouseAction.Caption + '.';
end;

procedure TForm1.Label1MouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  lblMouseAction.Caption := lblMouseAction.Caption + ']';
end;

procedure TForm1.Label1Click(Sender: TObject);
begin
  lblMouseAction.Caption := lblMouseAction.Caption + 'O';
end;

procedure TForm1.btnClearClick(Sender: TObject);
begin
  lblMouseAction.Caption := '';
end;

procedure TForm1.btnCaptionClick(Sender: TObject);
begin
  Label1.Caption := edtCaption.Text;
end;

procedure TForm1.btnEnabledClick(Sender: TObject);
begin
  Label1.Enabled := not Label1.Enabled;
end;

procedure TForm1.btnVisibleClick(Sender: TObject);
begin
  Label1.Visible := not Label1.Visible;
end;

procedure TForm1.btnSizeClick(Sender: TObject);
begin
  Label1.Width := StrToInt(edtWidth.Text);
  Label1.Height := StrToInt(edtHeight.Text);
  edtWidth.Text := IntToStr(Label1.Width);
  edtHeight.Text := IntToStr(Label1.Height);
end;

procedure TForm1.btnPositionClick(Sender: TObject);
begin
  Label1.Left := StrToInt(edtLeft.Text);
  Label1.Top := StrToInt(edtTop.Text);
  edtLeft.Text := IntToStr(Label1.Left);
  edtTop.Text := IntToStr(Label1.Top);
end;

procedure TForm1.btnAutoSizeClick(Sender: TObject);
begin
  Label1.AutoSize := not Label1.AutoSize; 
end;

procedure TForm1.btnAlignmentClick(Sender: TObject);
var
  aAlignment: TAlignment;
begin
  aAlignment := Label1.Alignment;
  if aAlignment = High(TAlignment) then
    aAlignment := Low(TAlignment)
  else
    Inc(aAlignment);
  Label1.Alignment := aAlignment;
end;

end.
