unit MbsMain;

interface

uses
  SysUtils, Classes, QControls, QStdCtrls, QExtCtrls, QForms, QDialogs,
  Sockets, Threads, QTypes;

type
  TForm1 = class(TForm)
    TcpServer1: TTcpServer;
    gbxDO: TGroupBox;
    cbxDO1: TCheckBox;
    cbxDO2: TCheckBox;
    cbxDO4: TCheckBox;
    cbxDO3: TCheckBox;
    cbxDO5: TCheckBox;
    cbxDO6: TCheckBox;
    cbxDO8: TCheckBox;
    cbxDO7: TCheckBox;
    Label1: TLabel;
    cbxDO9: TCheckBox;
    cbxDO10: TCheckBox;
    cbxDO12: TCheckBox;
    cbxDO11: TCheckBox;
    cbxDO13: TCheckBox;
    cbxDO14: TCheckBox;
    cbxDO16: TCheckBox;
    cbxDO15: TCheckBox;
    Label2: TLabel;
    cbxDO25: TCheckBox;
    cbxDO26: TCheckBox;
    cbxDO28: TCheckBox;
    cbxDO27: TCheckBox;
    cbxDO29: TCheckBox;
    cbxDO30: TCheckBox;
    cbxDO32: TCheckBox;
    cbxDO31: TCheckBox;
    Label3: TLabel;
    cbxDO17: TCheckBox;
    cbxDO18: TCheckBox;
    cbxDO20: TCheckBox;
    cbxDO19: TCheckBox;
    cbxDO21: TCheckBox;
    cbxDO22: TCheckBox;
    cbxDO24: TCheckBox;
    cbxDO23: TCheckBox;
    Label4: TLabel;
    gbxDI: TGroupBox;
    cbxDI1: TCheckBox;
    cbxDI2: TCheckBox;
    cbxDI4: TCheckBox;
    cbxDI3: TCheckBox;
    cbxDI5: TCheckBox;
    cbxDI6: TCheckBox;
    cbxDI8: TCheckBox;
    cbxDI7: TCheckBox;
    Label5: TLabel;
    cbxDI9: TCheckBox;
    cbxDI10: TCheckBox;
    cbxDI12: TCheckBox;
    cbxDI11: TCheckBox;
    cbxDI13: TCheckBox;
    cbxDI14: TCheckBox;
    cbxDI16: TCheckBox;
    cbxDI15: TCheckBox;
    Label6: TLabel;
    cbxDI25: TCheckBox;
    cbxDI26: TCheckBox;
    cbxDI28: TCheckBox;
    cbxDI27: TCheckBox;
    cbxDI29: TCheckBox;
    cbxDI30: TCheckBox;
    cbxDI32: TCheckBox;
    cbxDI31: TCheckBox;
    Label7: TLabel;
    cbxDI17: TCheckBox;
    cbxDI18: TCheckBox;
    cbxDI20: TCheckBox;
    cbxDI19: TCheckBox;
    cbxDI21: TCheckBox;
    cbxDI22: TCheckBox;
    cbxDI24: TCheckBox;
    cbxDI23: TCheckBox;
    Label8: TLabel;
    GroupBox1: TGroupBox;
    Label9: TLabel;
    edtAI1: TEdit;
    Label13: TLabel;
    edtAI2: TEdit;
    Label12: TLabel;
    edtAI5: TEdit;
    Label14: TLabel;
    edtAI6: TEdit;
    Label10: TLabel;
    edtAI3: TEdit;
    Label11: TLabel;
    edtAI4: TEdit;
    Label15: TLabel;
    edtAI7: TEdit;
    Label16: TLabel;
    edtAI8: TEdit;
    sbrAI1: TScrollBar;
    Label17: TLabel;
    lblAI1: TLabel;
    Label19: TLabel;
    sbrAI2: TScrollBar;
    lblAI2: TLabel;
    GroupBox2: TGroupBox;
    Label21: TLabel;
    edtAO1: TEdit;
    Label22: TLabel;
    edtAO2: TEdit;
    Label23: TLabel;
    edtAO5: TEdit;
    Label24: TLabel;
    edtAO6: TEdit;
    Label25: TLabel;
    edtAO3: TEdit;
    Label26: TLabel;
    edtAO4: TEdit;
    Label27: TLabel;
    edtAO7: TEdit;
    Label28: TLabel;
    edtAO8: TEdit;
    sbrAO1: TScrollBar;
    Label29: TLabel;
    lblAO1: TLabel;
    Label31: TLabel;
    sbrAO2: TScrollBar;
    lblAO2: TLabel;
    Timer1: TTimer;
    procedure TcpServer1Accept(Sender: TObject; ClientSocket: TCustomIpClient);
    procedure FormDestroy(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure sbrAI1Change(Sender: TObject);
    procedure edtAI1Change(Sender: TObject);
    procedure sbrAI2Change(Sender: TObject);
    procedure edtAI2Change(Sender: TObject);
    procedure sbrAO1Change(Sender: TObject);
    procedure edtAO1Change(Sender: TObject);
    procedure sbrAO2Change(Sender: TObject);
    procedure edtAO2Change(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    FDoDestroying: Boolean;
    function GetBinaryOut(Index: Integer): Boolean;
    procedure SetBinaryOut(Index: Integer; Value: Boolean);
    function GetBinaryIn(Index: Integer): Boolean;
    procedure SetBinaryIn(Index: Integer; Value: Boolean);
    function GetDigitalIn(Index: Integer): Word;
    procedure SetDigitalIn(Index: Integer; Value: Word);
    function GetDigitalOut(Index: Integer): Word;
    procedure SetDigitalOut(Index: Integer; Value: Word);
    { Private declarations }
  public
    { Public declarations }
    property DoDestroying: Boolean read FDoDestroying write FDoDestroying;
    property BinaryOut[Index: Integer]: Boolean read GetBinaryOut write
        SetBinaryOut;
    property BinaryIn[Index: Integer]: Boolean read GetBinaryIn write SetBinaryIn;
    property DigitalIn[Index: Integer]: Word read GetDigitalIn write SetDigitalIn;
    property DigitalOut[Index: Integer]: Word read GetDigitalOut write
        SetDigitalOut;
  end;

  TModbusState =(mbsInit, mbsTransaction2, mbsProtocol1, mbsProtocol2,
      mbsLength1, mbsLength2, mbsUnit, mbsFunction, mbsData);

  TModbusServerThread = class(TThread)
  private
    FClientSocket: TCustomIpClient;
    FTransactionId: Word;
    FProtocolId: Word;
    FLengthField: Word;
    FUnitId: Byte;
    FFunctionCode: Byte;
    FData: array [0..255] of Byte;
    FIndex: Integer;
    FState: TModbusState;
    procedure HandleData(Data: Byte);
    procedure HandleRequest;
    procedure WriteSingleCoil;
    procedure DoException(Value: Integer);
    procedure ReadCoils;
    procedure ReadDiscreteInputs;
    procedure WriteMultipleCoils;
    procedure ReadExceptionStatus;
    procedure GetCommEventCounter;
    procedure ReadInputRegisters;
    procedure ReadHoldingRegisters;
    procedure WriteSingleRegister;
    procedure WriteMultipleRegisters;
    procedure ReadWriteMultipleRegisters;
  public
    constructor Create(CreateSuspended: Boolean);
    procedure Execute; override;
    property ClientSocket: TCustomIpClient read FClientSocket write FClientSocket;
  end;

var
  Form1: TForm1;

implementation

{$R *.xfm}

{********************************* TClientDataThread **************************}

constructor TModbusServerThread.Create(CreateSuspended: Boolean);
begin
  inherited Create(CreateSuspended);
  FreeOnTerminate := True;
end;

procedure TModbusServerThread.Execute;
var
  Ch: Char;
begin
  while not Terminated do
  begin
    // Check if we are still online
    if ClientSocket.ConnectionAborted then Break;

    // close socket when Server is going down
    if Form1.DoDestroying then
    begin
      ClientSocket.Disconnect;
      Break;
    end;

    // Any data to read from the socket available?
    while ClientSocket.WaitForData do
    begin
      if ClientSocket.ReceiveBuf(Ch, SizeOf(Ch)) > 0 then
        HandleData(Ord(Ch));
      if Terminated then Break;
    end;
    Sleep(0);
  end;
end;

procedure TModbusServerThread.HandleData(Data: Byte);
begin
  case FState of
    mbsInit:
    begin
      FTransactionId := Data shl 8;
      FState := mbsTransaction2;
    end;
    mbsTransaction2:
    begin
      FTransactionId := FTransactionId + Data;
      FState := mbsProtocol1;
    end;
    mbsProtocol1:
    begin
      FProtocolId := Data shl 8;
      FState := mbsProtocol2;
    end;
    mbsProtocol2:
    begin
      FProtocolId := FProtocolId + Data;
      FState := mbsLength1;
    end;
    mbsLength1:
    begin
      FLengthField := Data shl 8;
      FState := mbsLength2;
    end;
    mbsLength2:
    begin
      FLengthField := FLengthField + Data;
      FState := mbsUnit;
    end;
    mbsUnit:
    begin
      FUnitId := Data;
      FState := mbsFunction;
    end;
    mbsFunction:
    begin
      FFunctionCode := Data;
      FIndex := 0;
      if FLengthField > 2 then
        FState := mbsData
      else
      begin
        HandleRequest;
        FState := mbsInit;
      end;
    end;
    mbsData:
    begin
      if FIndex < 256 then
        FData[FIndex] := Data;
      FIndex := FIndex + 1;
      if FIndex = FLengthField - 2 then
      begin
        HandleRequest;
        FState := mbsInit;
      end;
    end;
  end;
end;

procedure TModbusServerThread.HandleRequest;
begin
  case FFunctionCode of
    1: ReadCoils;
    2: ReadDiscreteInputs;
    3: ReadHoldingRegisters;
    4: ReadInputRegisters;
    5: WriteSingleCoil;
    6: WriteSingleRegister;
    7: ReadExceptionStatus;
    11: GetCommEventCounter;
    15: WriteMultipleCoils;
    16: WriteMultipleRegisters;
    23: ReadWriteMultipleRegisters;
  else
    DoException(1);
  end;
end;

procedure TModbusServerThread.WriteSingleCoil;
var
  OutputAddress: Word;
  Value: Boolean;
  I: Integer;
  Response: array[0..255] of Byte;
  Len: Integer;
begin
  OutputAddress := FData[0] shl 8 + FData[1] + 1;
  if not (OutputAddress in [1..32]) then
  begin
    DoException(2);
    Exit;
  end;

  if (FData[2] in [0, $FF]) and (FData[3] = 0) then
  begin
    Value := FData[2] <> 0;
    Form1.BinaryOut[OutputAddress] := Value;

    Response[0] := Hi(FTransactionId);
    Response[1] := Lo(FTransactionId);
    Response[2] := Hi(FProtocolId);
    Response[3] := Lo(FProtocolId);
    Response[4] := 0;
    Response[5] := 6;
    Response[6] := FUnitId;
    Response[7] := FFunctionCode;
    for I := 0 to 3 do
      Response[8 + I] := FData[I];
    Len := 12;
    ClientSocket.SendBuf(Response, Len);
  end
  else DoException(3);
end;

procedure TModbusServerThread.DoException(Value: Integer);
var
  Response: array[0..255] of Byte;
  Len: Integer;
begin
  Response[0] := Hi(FTransactionId);
  Response[1] := Lo(FTransactionId);
  Response[2] := Hi(FProtocolId);
  Response[3] := Lo(FProtocolId);
  Response[4] := 0;
  Response[5] := 3;
  Response[6] := FUnitId;
  Response[7] := FFunctionCode or $80;
  Response[8] := Value;
  Len := 9;
  ClientSocket.SendBuf(Response, Len);
end;

procedure TModbusServerThread.ReadCoils;
var
  OutputAddress: Word;
  Quantity: Word;
  I: Integer;
  Response: array[0..255] of Byte;
  Len: Integer;
  Octets: Integer;
begin
  OutputAddress := FData[0] shl 8 + FData[1] + 1;
  Quantity := FData[2] shl 8 + FData[3];

  if (Quantity < 1) or (Quantity > 2000) then
  begin
    DoException(3);
    Exit;
  end;

  if not (OutputAddress in [1..32]) or
    not ((OutputAddress + Quantity - 1) in [1..32]) then
  begin
    DoException(2);
    Exit;
  end;

  Octets := ((Quantity - 1) div 8) + 1;
  for I := 0 to Octets - 1 do
    Response[9 + I] := 0;

  for I := 0 to Quantity - 1 do
    if Form1.BinaryOut[OutputAddress + I] then
      Response[9 + (I div 8)] := Response[9 + (I div 8)] or (1 shl (I mod 8));

  Response[0] := Hi(FTransactionId);
  Response[1] := Lo(FTransactionId);
  Response[2] := Hi(FProtocolId);
  Response[3] := Lo(FProtocolId);
  Response[4] := 0;
  Response[5] := 3 + Octets;
  Response[6] := FUnitId;
  Response[7] := FFunctionCode;
  Response[8] := Octets;
  Len := 9 + Octets;
  ClientSocket.SendBuf(Response, Len);
end;

procedure TModbusServerThread.ReadDiscreteInputs;
var
  InputAddress: Word;
  Quantity: Word;
  I: Integer;
  Response: array[0..255] of Byte;
  Len: Integer;
  Octets: Integer;
begin
  InputAddress := FData[0] shl 8 + FData[1] + 1;
  Quantity := FData[2] shl 8 + FData[3];

  if (Quantity < 1) or (Quantity > 2000) then
  begin
    DoException(3);
    Exit;
  end;

  if not (InputAddress in [1..32]) or
    not ((InputAddress + Quantity - 1) in [1..32]) then
  begin
    DoException(2);
    Exit;
  end;

  Octets := ((Quantity - 1) div 8) + 1;
  for I := 0 to Octets - 1 do
    Response[9 + I] := 0;

  for I := 0 to Quantity - 1 do
    if Form1.BinaryIn[InputAddress + I] then
      Response[9 + (I div 8)] := Response[9 + (I div 8)] or (1 shl (I mod 8));

  Response[0] := Hi(FTransactionId);
  Response[1] := Lo(FTransactionId);
  Response[2] := Hi(FProtocolId);
  Response[3] := Lo(FProtocolId);
  Response[4] := 0;
  Response[5] := 3 + Octets;
  Response[6] := FUnitId;
  Response[7] := FFunctionCode;
  Response[8] := Octets;
  Len := 9 + Octets;
  ClientSocket.SendBuf(Response, Len);
end;

procedure TModbusServerThread.WriteMultipleCoils;
var
  OutputAddress: Word;
  Quantity: Word;
  I: Integer;
  Response: array[0..255] of Byte;
  Len: Integer;
begin
  OutputAddress := FData[0] shl 8 + FData[1] + 1;
  Quantity := FData[2] shl 8 + FData[3];

  if (Quantity < 1) or (Quantity > 2000) then
  begin
    DoException(3);
    Exit;
  end;

  if not (OutputAddress in [1..32]) or
    not ((OutputAddress + Quantity - 1) in [1..32]) then
  begin
    DoException(2);
    Exit;
  end;

  for I := 0 to Quantity - 1 do
    Form1.BinaryOut[OutputAddress + I] :=
        FData[5 + (I div 8)] and (1 shl (I mod 8)) <> 0;

  Response[0] := Hi(FTransactionId);
  Response[1] := Lo(FTransactionId);
  Response[2] := Hi(FProtocolId);
  Response[3] := Lo(FProtocolId);
  Response[4] := 0;
  Response[5] := 6;
  Response[6] := FUnitId;
  Response[7] := FFunctionCode;
  for I := 0 to 3 do
    Response[8 + I] := FData[I];
  Len := 12;
  ClientSocket.SendBuf(Response, Len);
end;

procedure TModbusServerThread.ReadExceptionStatus;
var
  Response: array[0..255] of Byte;
  Len: Integer;
begin
  Response[0] := Hi(FTransactionId);
  Response[1] := Lo(FTransactionId);
  Response[2] := Hi(FProtocolId);
  Response[3] := Lo(FProtocolId);
  Response[4] := 0;
  Response[5] := 3;
  Response[6] := FUnitId;
  Response[7] := FFunctionCode;
  Response[8] := 0;
  Len := 9;
  ClientSocket.SendBuf(Response, Len);
end;

procedure TModbusServerThread.GetCommEventCounter;
var
  Response: array[0..255] of Byte;
  Len: Integer;
begin
  Response[0] := Hi(FTransactionId);
  Response[1] := Lo(FTransactionId);
  Response[2] := Hi(FProtocolId);
  Response[3] := Lo(FProtocolId);
  Response[4] := 0;
  Response[5] := 6;
  Response[6] := FUnitId;
  Response[7] := FFunctionCode;
  Response[8] := 0;
  Response[9] := 0;
  Response[10] := $FF;
  Response[11] := $FF;
  Len := 12;
  ClientSocket.SendBuf(Response, Len);
end;

procedure TModbusServerThread.ReadInputRegisters;
var
  InputAddress: Word;
  Quantity: Word;
  I: Integer;
  Value: Word;
  Response: array[0..255] of Byte;
  Len: Integer;
begin
  InputAddress := FData[0] shl 8 + FData[1] + 1;
  Quantity := FData[2] shl 8 + FData[3];

  if (Quantity < 1) or (Quantity > 125) then
  begin
    DoException(3);
    Exit;
  end;

  if not (InputAddress in [1..8]) or
    not ((InputAddress + Quantity - 1) in [1..8]) then
  begin
    DoException(2);
    Exit;
  end;

  for I := 0 to Quantity - 1 do
  begin
    Value := Form1.DigitalIn[InputAddress + I];
    Response[9 + I * 2] := Hi(Value);
    Response[10 + I * 2] := Lo(Value);
  end;

  Response[0] := Hi(FTransactionId);
  Response[1] := Lo(FTransactionId);
  Response[2] := Hi(FProtocolId);
  Response[3] := Lo(FProtocolId);
  Response[4] := 0;
  Response[5] := 3 + Quantity * 2;
  Response[6] := FUnitId;
  Response[7] := FFunctionCode;
  Response[8] := Quantity * 2;
  Len := 9 + Quantity * 2;
  ClientSocket.SendBuf(Response, Len);
end;

procedure TModbusServerThread.ReadHoldingRegisters;
var
  OutputAddress: Word;
  Quantity: Word;
  I: Integer;
  Value: Word;
  Response: array[0..255] of Byte;
  Len: Integer;
begin
  OutputAddress := FData[0] shl 8 + FData[1] + 1;
  Quantity := FData[2] shl 8 + FData[3];

  if (Quantity < 1) or (Quantity > 125) then
  begin
    DoException(3);
    Exit;
  end;

  if not (OutputAddress in [1..8]) or
    not ((OutputAddress + Quantity - 1) in [1..8]) then
  begin
    DoException(2);
    Exit;
  end;

  for I := 0 to Quantity - 1 do
  begin
    Value := Form1.DigitalOut[OutputAddress + I];
    Response[9 + I * 2] := Hi(Value);
    Response[10 + I * 2] := Lo(Value);
  end;

  Response[0] := Hi(FTransactionId);
  Response[1] := Lo(FTransactionId);
  Response[2] := Hi(FProtocolId);
  Response[3] := Lo(FProtocolId);
  Response[4] := 0;
  Response[5] := 3 + Quantity * 2;
  Response[6] := FUnitId;
  Response[7] := FFunctionCode;
  Response[8] := Quantity * 2;
  Len := 9 + Quantity * 2;
  ClientSocket.SendBuf(Response, Len);
end;

procedure TModbusServerThread.WriteSingleRegister;
var
  OutputAddress: Word;
  Value: Word;
  I: Integer;
  Response: array[0..255] of Byte;
  Len: Integer;
begin
  OutputAddress := FData[0] shl 8 + FData[1] + 1;
  if not (OutputAddress in [1..8]) then
  begin
    DoException(2);
    Exit;
  end;

  Value := FData[2] shl 8 + FData[3];
  Form1.DigitalOut[OutputAddress] := Value;

  Response[0] := Hi(FTransactionId);
  Response[1] := Lo(FTransactionId);
  Response[2] := Hi(FProtocolId);
  Response[3] := Lo(FProtocolId);
  Response[4] := 0;
  Response[5] := 6;
  Response[6] := FUnitId;
  Response[7] := FFunctionCode;
  for I := 0 to 3 do
    Response[8 + I] := FData[I];
  Len := 12;
  ClientSocket.SendBuf(Response, Len);
end;

procedure TModbusServerThread.WriteMultipleRegisters;
var
  OutputAddress: Word;
  Quantity: Word;
  ByteCount: Byte;
  I: Integer;
  Response: array[0..255] of Byte;
  Len: Integer;
begin
  OutputAddress := FData[0] shl 8 + FData[1] + 1;
  Quantity := FData[2] shl 8 + FData[3];
  ByteCount := FData[4];

  if (Quantity < 1) or (Quantity > 123) and (ByteCount = 2 * Quantity) then
  begin
    DoException(3);
    Exit;
  end;

  if not (OutputAddress in [1..8]) or
    not ((OutputAddress + Quantity - 1) in [1..8]) then
  begin
    DoException(2);
    Exit;
  end;

  for I := 0 to Quantity - 1 do
    Form1.DigitalOut[OutputAddress + I]
        := FData[5 + I * 2] shl 8 + FData[6 + I * 2];

  Response[0] := Hi(FTransactionId);
  Response[1] := Lo(FTransactionId);
  Response[2] := Hi(FProtocolId);
  Response[3] := Lo(FProtocolId);
  Response[4] := 0;
  Response[5] := 6;
  Response[6] := FUnitId;
  Response[7] := FFunctionCode;
  for I := 0 to 3 do
    Response[8 + I] := FData[I];
  Len := 12;
  ClientSocket.SendBuf(Response, Len);
end;

procedure TModbusServerThread.ReadWriteMultipleRegisters;
var
  ReadAddress: Word;
  ReadQuantity: Word;
  WriteAddress: Word;
  WriteQuantity: Word;
  ByteCount: Byte;
  I: Integer;
  Value: Word;
  Response: array[0..255] of Byte;
  Len: Integer;
begin
  ReadAddress := FData[0] shl 8 + FData[1] + 1;
  ReadQuantity := FData[2] shl 8 + FData[3];

  WriteAddress := FData[4] shl 8 + FData[5] + 1;
  WriteQuantity := FData[6] shl 8 + FData[7];
  ByteCount := FData[8];

  if (ReadQuantity < 1) or (ReadQuantity > 125)
      or (WriteQuantity < 1) or (WriteQuantity > 121)
      or (ByteCount <> 2 * WriteQuantity) then
  begin
    DoException(3);
    Exit;
  end;

  if not ((ReadAddress in [1..8])
      and ((ReadAddress + ReadQuantity - 1) in [1..8])
      and (WriteAddress in [1..8])
      and ((WriteAddress + WriteQuantity - 1) in [1..8])) then
  begin
    DoException(2);
    Exit;
  end;

  for I := 0 to WriteQuantity - 1 do
    Form1.DigitalOut[WriteAddress + I]
        := FData[9 + I * 2] shl 8 + FData[10 + I * 2];

  for I := 0 to ReadQuantity - 1 do
  begin
    Value := Form1.DigitalOut[ReadAddress + I];
    Response[9 + I * 2] := Hi(Value);
    Response[10 + I * 2] := Lo(Value);
  end;

  Response[0] := Hi(FTransactionId);
  Response[1] := Lo(FTransactionId);
  Response[2] := Hi(FProtocolId);
  Response[3] := Lo(FProtocolId);
  Response[4] := 0;
  Response[5] := 3 + ReadQuantity * 2;
  Response[6] := FUnitId;
  Response[7] := FFunctionCode;
  Response[8] := ReadQuantity * 2;
  Len := 9 + ReadQuantity * 2;
  ClientSocket.SendBuf(Response, Len);
end;


{********************************* TForm1 *************************************}

procedure TForm1.TcpServer1Accept(Sender: TObject;
  ClientSocket: TCustomIpClient);
var
  ModbusServerThread: TModbusServerThread;
begin
  ModbusServerThread:= TModbusServerThread.Create(True);
  ModbusServerThread.ClientSocket := ClientSocket;
  ModbusServerThread.Resume;
  ModbusServerThread.WaitFor;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Timer1.Enabled := True;
  TcpServer1.LocalPort := '502';
  TcpServer1.Active := True;

  if not TcpServer1.Active then
    ShowMessage('Modbus Server not active');
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  DoDestroying := True;
  TcpServer1.Close;
  Timer1.Enabled := False;
  Sleep(0);
end;

function TForm1.GetBinaryOut(Index: Integer): Boolean;
var
  ComponentName: string;
  CheckBox: TCheckBox;
begin
  ComponentName := Format('cbxDO%d', [Index]);
  CheckBox := FindComponent(ComponentName) as TCheckBox;
  if Assigned(CheckBox) then
    Result := CheckBox.Checked
  else
    Result := False;
end;

procedure TForm1.SetBinaryOut(Index: Integer; Value: Boolean);
var
  ComponentName: string;
  CheckBox: TCheckBox;
begin
  ComponentName := Format('cbxDO%d', [Index]);
  CheckBox := FindComponent(ComponentName) as TCheckBox;
  if Assigned(CheckBox) then
    CheckBox.Checked := Value;
end;

function TForm1.GetBinaryIn(Index: Integer): Boolean;
var
  ComponentName: string;
  CheckBox: TCheckBox;
begin
  ComponentName := Format('cbxDI%d', [Index]);
  CheckBox := FindComponent(ComponentName) as TCheckBox;
  if Assigned(CheckBox) then
    Result := CheckBox.Checked
  else
    Result := False;
end;

procedure TForm1.SetBinaryIn(Index: Integer; Value: Boolean);
var
  ComponentName: string;
  CheckBox: TCheckBox;
begin
  ComponentName := Format('cbxDI%d', [Index]);
  CheckBox := FindComponent(ComponentName) as TCheckBox;
  if Assigned(CheckBox) then
    CheckBox.Checked := Value;
end;

procedure TForm1.sbrAI1Change(Sender: TObject);
begin
  lblAI1.Caption := Format('%0.4x', [sbrAI1.Position]);
  if sbrAI1.Focused then
    edtAI1.Text := IntToStr(sbrAI1.Position);
end;

procedure TForm1.edtAI1Change(Sender: TObject);
begin
  if edtAI1.Focused then
    sbrAI1.Position := StrToIntDef(edtAI1.Text, sbrAI1.Position);
end;

procedure TForm1.sbrAI2Change(Sender: TObject);
begin
  lblAI2.Caption := Format('%0.4x', [sbrAI2.Position]);
  if sbrAI2.Focused then
    edtAI2.Text := IntToStr(sbrAI2.Position);
end;

procedure TForm1.edtAI2Change(Sender: TObject);
begin
  if edtAI2.Focused then
    sbrAI2.Position := StrToIntDef(edtAI2.Text, sbrAI2.Position);
end;

procedure TForm1.sbrAO1Change(Sender: TObject);
begin
  lblAO1.Caption := Format('%0.4x', [sbrAO1.Position]);
  if sbrAO1.Focused then
    edtAO1.Text := IntToStr(sbrAO1.Position);
end;

procedure TForm1.edtAO1Change(Sender: TObject);
begin
  if edtAO1.Focused then
    sbrAO1.Position := StrToIntDef(edtAO1.Text, sbrAO1.Position);
end;

procedure TForm1.sbrAO2Change(Sender: TObject);
begin
  lblAO2.Caption := Format('%0.4x', [sbrAO2.Position]);
  if sbrAO2.Focused then
    edtAO2.Text := IntToStr(sbrAO2.Position);
end;

procedure TForm1.edtAO2Change(Sender: TObject);
begin
  if edtAO2.Focused then
    sbrAO2.Position := StrToIntDef(edtAO2.Text, sbrAO2.Position);
end;

function TForm1.GetDigitalIn(Index: Integer): Word;
var
  ComponentName: string;
  Edit: TEdit;
begin
  ComponentName := Format('edtAI%d', [Index]);
  Edit := FindComponent(ComponentName) as TEdit;
  if Assigned(Edit) then
    Result := StrToIntDef(Edit.Text, 0)
  else
    Result := 0;
end;

procedure TForm1.SetDigitalIn(Index: Integer; Value: Word);
var
  ComponentName: string;
  Edit: TEdit;
  ScrollBar: TScrollBar;
begin
  ComponentName := Format('edtAI%d', [Index]);
  Edit := FindComponent(ComponentName) as TEdit;
  ComponentName := Format('sbrAI%d', [Index]);
  ScrollBar := FindComponent(ComponentName) as TScrollBar;
  if Assigned(Edit) then
  begin
    Edit.Text := IntToStr(Value);
    if Assigned(ScrollBar) then
      ScrollBar.Position := Value;
  end;
end;

function TForm1.GetDigitalOut(Index: Integer): Word;
var
  ComponentName: string;
  Edit: TEdit;
begin
  ComponentName := Format('edtAO%d', [Index]);
  Edit := FindComponent(ComponentName) as TEdit;
  if Assigned(Edit) then
    Result := StrToIntDef(Edit.Text, 0)
  else
    Result := 0;
end;

procedure TForm1.SetDigitalOut(Index: Integer; Value: Word);
var
  ComponentName: string;
  Edit: TEdit;
  ScrollBar: TScrollBar;
begin
  ComponentName := Format('edtAO%d', [Index]);
  Edit := FindComponent(ComponentName) as TEdit;
  ComponentName := Format('sbrAO%d', [Index]);
  ScrollBar := FindComponent(ComponentName) as TScrollBar;
  if Assigned(Edit) then
  begin
    Edit.Text := IntToStr(Value);
    if Assigned(ScrollBar) then
      ScrollBar.Position := Value;
  end;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
  Sockets.UpdateNetwork;
end;

end.
