unit frmuXml1;

interface

uses
  SysUtils, Types, Classes, Variants, QTypes, QGraphics, QControls, QForms,
  QDialogs, QStdCtrls, xmldom, XMLIntf, XMLDoc, oxmldom;

type
  TForm1 = class(TForm)
    XMLDocument1: TXMLDocument;
    Button1: TButton;
    ListBox1: TListBox;
    Button2: TButton;
    CheckBox1: TCheckBox;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
  private
    { Private-Deklarationen }
    Current: Integer;
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.xfm}

procedure TForm1.Button1Click(Sender: TObject);
var
  Clinic: IXMLNode;
begin
  Clinic := XMLDocument1.DocumentElement.ChildNodes[0];
  ListBox1.Items.Clear;
  ListBox1.Items.Add(Clinic.ChildNodes['Title'].Text);
  ListBox1.Items.Add(Clinic.ChildNodes['Date'].Text);
  ListBox1.Items.Add(Clinic.ChildNodes['Topics'].Text)
end;

procedure TForm1.Button2Click(Sender: TObject);
var
  Clinic: IXMLNode;
begin
  Inc(Current);
  if Current >= XMLDocument1.DocumentElement.ChildNodes.Count then
    Current := 0;
  try
    Clinic := XMLDocument1.DocumentElement.ChildNodes[Current];
    ListBox1.Items.Clear;
    ListBox1.Items.Add(Clinic.ChildNodes['Title'].Text);
    ListBox1.Items.Add(Clinic.ChildNodes['Date'].Text);
    ListBox1.Items.Add(Clinic.ChildNodes['Topics'].Text)
  except
    on E: Exception do
      ListBox1.Items.Add(E.Message)
  end
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  XMLDocument1.Active := CheckBox1.Checked;
end;

end.
