program INT1;

{$APPTYPE CONSOLE}

uses
  WDosInterrupts, WDosPorts;

const
  IntNo = $1C;  // it works fine with $08 too

var
  OldIntVector: DpmiPmVector;  // it's not a simple pointer, but selector
                               // and offset record
  I: Byte;

procedure NewInt;
begin
  Inc(I);
  CallInterrupt(OldIntVector);
end;

begin
  Writeln;
  Writeln('press ESC to exit...');
  I := 0;
  GetIntVec(IntNo, OldIntVector);
  SetIntProc(IntNo, NewInt); // connect a hardware interrupt with a normal Delphi
                             // routine; it works with Int08..0f, 1c and 70..77
  repeat
    Mem[$B8000] := I;
  until Port[$60] = 1; //until ESCAPE is pressed
  SetIntVec(IntNo, OldIntVector);
end.
