program FTPDemo;

uses
  Crt,
  SysUtils,
  WDosSock,
  Threads,
  FtpSrv in 'FtpSrv.pas',
  SocketInfos in '..\common\SocketInfos.pas';

var
  Server: TFTPServer;
begin
  ClrScr;

  // display all current socket infos
  DisplaySocketInfos;

  // create a FTP-Server
  Server := TFTPServer.Create;
  try
    Write('Starting FTP Server... ');
    if Server.Start(INADDR_ANY, Swap(Word(21)), Copy(GetCurrentDir, 1, 3)) then
    begin
      WriteLn('Started.');
      Writeln('Press <Esc> to quit ...');
      repeat
        UpdateNetwork;
      until KeyPressed and (ReadKey = #27);
    end
    else Writeln('Error.');
  finally
    Server.Free;
  end;
end.

