program SMBDemo;

{$APPTYPE CONSOLE}

uses
  Crt,
  WDosSock,
  WDosNetwork,
  WDosSMB,
  WDosUtil,
  Threads,
  SocketInfos in '..\common\SocketInfos.pas';

begin
  ClrScr;

  // display all current socket infos
  DisplaySocketInfos;

  // Init SMB server
  WDosSMB.Init;

  // grant drive C
  SMB_AddShare('C', Copy(CurDir, 1, 3));

  Writeln('SMB Server Started. ', Copy(CurDir, 1, 3),
      ' shared as "C". Use \\', Net_GetHostname, '\C to access it.');
  Writeln('Press <Esc> to quit ...');

  repeat
    UpdateNetwork;
  until KeyPressed and (ReadKey = #27);
end.

