
{*******************************************************}
{                                                       }
{ DWPL Delphi Cross Platform Core Library (rtl)         }
{ WDosResStrings                                        }
{                                                       }
{ for Delphi 4, 5, 6                                    }
{ Version 2.0                                           }
{ Copyright (c) 2001 by Immo Wache                      }
{ e-mail: immo.wache@dwp42.org                          }
{ www: http://www.dwp42.org                             }
{                                                       }
{ This file may be distributed and/or modified under    }
{ the terms of the GNU General Public License (GPL)     }
{ version 2 as published by the Free Software           }
{ Foundation and appearing at                           }
{ http://www.dwp42.org/license/gpl.html.                }
{                                                       }
{*******************************************************}
{
  $Header: /cvsroot/dwpl/dwpl/source/rtl/wdosx/WDosResStrings.pas,v 1.2 2002/10/27 22:53:12 iwache Exp $
  ----------------------------------------------------------------------------

  $Log: WDosResStrings.pas,v $
  Revision 1.2  2002/10/27 22:53:12  iwache
  CVS tags "Header" and "Log" added.

  ----------------------------------------------------------------------------
}
{
  Version history:
    IWA 2001-08-21 some modifications for Delphi 6
    IWA 2001-05-25 Version 2.0.1.0 released
    IWA 2000-11-20 Version 1.1
}

unit WDosResStrings;

interface

resourcestring
  { WDosCheck }
  SWDosXVersion = 'DWPL for Delphi 4..6 Version 2.0';
  SWithoutExtenderError = 'Cannot run without WDOSX DOS extender!';
  SWithoutExtenderDlgError = 'Error';

  { WDosWfseStreams }
  SCantInitializeWfse = 'Can''t initialize WFSE';
  SCantWriteWfseStreamError = 'Can''t write into WFSE stream';

  { WDosAbiUtils }
  SAbiNoError = 'No Error';
  SAbiBadCall = 'Bad Call';
  SAbiCritical = 'Critical';
  SAbiNoHandle = 'No Handle';
  SAbiBadHandle = 'Bad Handle';
  SAbiTimeOut = 'Timeout';
  SAbiBadSession = 'Bad Session';
  SAbiNotOpen = 'Not Open';
  SAbiDpmiError = 'DPMI Error';
  SAbiUnknownError = 'Unknown Error';

  { WDosLptCtrls }
  sLptCtrlNotOpen ='Device %s is not open';
  sLptCtrlOnOpenError ='Operation on opened device %s not allowed';
  sLptCtrlOpenError ='Device %s can''t be opened';

  { WDosAbiDrvr }
  SAllocDosMemError = 'No DOS memory available.';
  SFreeDosMemError = 'Error at freeing DOS memory';

  { WDosScktComp }
  SWDosSocketError = 'WDosX socket error: %s (%d), at Abi function ''%s''';
  SResolverError = 'Resolver error: %s (%d), on method ''%s''';
  SLookupHandleZero = 'lookup handle is zero';
  SAbiInitializationError = 'TCP/IP Abi driver not detected';
  SAbiSocketError = 'TCP state: %d InBytes: %d OutBytes: %d';
  SCancelLookupOk = 'Lookup Ok';
  SCancelLookupNetDown = 'Lookup net down';
  SCancelLookupInval = 'Lookup invalidate';
  SCancelLookupAlready = 'Lookup already finished';
  SServerSocketCannotOpen = 'Server socket can not be opened';
  SNoListenSockets = 'Server Socket can not open listen sockets';

  { WDosTimers }
  SRequestAccessInstanceError = 'Illegal request %d in AccessInstance';
  SAccessThroughInstanceOnlyError = 'Access class %s through Instance only';
  STimerModeError = 'CTC timer 0 don''t works in mode 2 or 3';

implementation

end.